<template>
  <div class="hero-head">
    <nav class="level is-mobile">
      <div class="level-left">
        <div class="level-item">
          <bmodal name="modal-transparent">
            <a slot="toggle" class="button w-transparent w-borderless t-white">
              <span class="icon">
                <i class="basicfill basicfill-layers"></i>
              </span>
              <span>Apps</span>
            </a>
            <launchpad-app slot="content" name="theme"></launchpad-app>
          </bmodal>
        </div>
      </div>
      <div class="level-right">
        <div class="level-item w-marginless">
          <gpane name="right top" transition="list">
              <a slot="toggle" class="button w-transparent w-borderless t-white">
                <span class="icon">
                  <i class="basicfill basicfill-layers"></i>
                </span>
                <span>{{weather.temp}}°</span>
              </a>
            <weather-app slot="content" @weather="weatherChange($event)" name="theme"></weather-app>
          </gpane>
        </div>
      </div>
    </nav>
  </div>
</template>

<script>
import Bmodal from '../bulma/Bmodal'

import Gpane from '../Gpane'
import weatherApp from './../apps/weather/weatherApp.vue'
import launchpadApp from './../apps/launchpad/launchpadApp'

export default {
  name: 'heroHead',
  components: {
    Bmodal,
    Gpane,
    weatherApp,
    launchpadApp
  },
  data() {
    return {
      weather: {}
    }
  },
  methods: {
    weatherChange: function(e){
      this.weather = e;
    }
  }
}
</script>
